Loading...
Searching...
No Matches
Dune::Functions::Concept::LeafBasisNode< GridView > Struct Template Reference

`#include <dune/functions/functionspacebases/concepts.hh>`

Inheritance diagram for Dune::Functions::Concept::LeafBasisNode< GridView >:

## Public Member Functions

template<class N>

auto

require (const N &node) -> decltype(requireType< typename N::Element >(), requireType< typename N::FiniteElement >(), requireConvertible< typename N::Element >(node.element()), requireConvertible< const typename N::FiniteElement & >(node.finiteElement()), requireSameType< typename N::Element, typename GridView::template Codim< 0 >::Entity >(), requireBaseOf< Dune::Functions::LeafBasisNode, N >())

## Member Function Documentation

## require()

template<class GridView>
template<class N>

auto Dune::Functions::Concept::LeafBasisNode< GridView >::require

(

const N &

node

)

->decltype(requireType< typenameN::Element >(), requireType< typenameN::FiniteElement >(), requireConvertible< typenameN::Element >(node.element()), requireConvertible< consttypenameN::FiniteElement & >(node.finiteElement()), requireSameType< typenameN::Element, typenameGridView::templateCodim< 0 >::Entity >(), requireBaseOf< Dune::Functions::LeafBasisNode, N >())

The documentation for this struct was generated from the following file:

- functionspacebases/concepts.hh